---
title: "Delete a message template"
url: https://docs.gleap.ai/en/reference/rest-api/delete-message-template
method: DELETE
path: "/message-templates/{messageTemplateId}"
api: "API Reference"
tag: "Message templates"
operationId: "DeleteMessageTemplate"
updatedAt: "2026-11-01T18:40:15.677Z"
language: en
---

# Delete a message template

`DELETE https://api.gleap.io/v3/message-templates/{messageTemplateId}`

Delete a message template. Callers who may only manage their own macros can delete their personal macros only.

## Authorization

- `Authorization` (header, required): `Bearer <token>`

## Path parameters

- `messageTemplateId` (string, required)

## Headers

- `project` (string, required)

## Example request

```bash
curl --request DELETE \
  --url 'https://api.gleap.io/v3/message-templates/{messageTemplateId}' \
  --header 'Authorization: Bearer <token>' \
  --header 'project: <project>'
```

## Responses

### 200 (`application/json`)

Ok
